<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l
 * StructType
 * @subpackage Structs
 */
class KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l extends AbstractStructBase
{
    /**
     * The Key
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \patest\StructType\SeatSetIdentity
     */
    public $Key;
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \patest\StructType\CapacityCounters
     */
    public $Value;
    /**
     * Constructor method for KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l
     * @uses KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l::setKey()
     * @uses KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l::setValue()
     * @param \patest\StructType\SeatSetIdentity $key
     * @param \patest\StructType\CapacityCounters $value
     */
    public function __construct(\patest\StructType\SeatSetIdentity $key = null, \patest\StructType\CapacityCounters $value = null)
    {
        $this
            ->setKey($key)
            ->setValue($value);
    }
    /**
     * Get Key value
     * @return \patest\StructType\SeatSetIdentity|null
     */
    public function getKey()
    {
        return $this->Key;
    }
    /**
     * Set Key value
     * @param \patest\StructType\SeatSetIdentity $key
     * @return \patest\StructType\KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l
     */
    public function setKey(\patest\StructType\SeatSetIdentity $key = null)
    {
        $this->Key = $key;
        return $this;
    }
    /**
     * Get Value value
     * @return \patest\StructType\CapacityCounters|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * Set Value value
     * @param \patest\StructType\CapacityCounters $value
     * @return \patest\StructType\KeyValueOfSeatSetIdentityCapacityCountersn51wGZ5l
     */
    public function setValue(\patest\StructType\CapacityCounters $value = null)
    {
        $this->Value = $value;
        return $this;
    }
}
